Arbor 3: FSM & BT Graph Editor 3.7.0

Public Member Functions | Public Attributes | Protected Member Functions | Properties | List of all members
Node Class Reference

Base class of a node in Arbor Editor More...

Inheritance diagram for Node:

## Public Member Functions
| Node (NodeGraph nodeGraph, int nodeID)
| Node constructor More...
virtual bool | IsContainsBehaviour (NodeBehaviour behaviour)
| Check if it contains NodeBehaviour. More...
virtual bool | IsDeletable ()
| Returns whether or not it can be deleted. More...
virtual string | GetName ()
| Get node name. More...
override string | ToString ()
| Convert node to string (for debugging). More...

## Public Attributes
Rect | position
| Position on the Arbor Editor. More...
bool | showComment
| Whether to display comments More...
string | nodeComment
| Comment More...

## Protected Member Functions
virtual void | OnGraphChanged ()
| Called when the NodeGraph to which the Node belongs has changed. More...

## Properties
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...

## Detailed Description

Base class of a node in Arbor Editor

## Constructor & Destructor Documentation

## ◆ Node()

Node | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

Node constructor

Parameters

  nodeGraph | NodeGraph with this node
  nodeID | Node ID

## Member Function Documentation

## ◆ GetName()

virtual string GetName | ( |  | ) |
| virtual

Get node name.

Returns
  Node name

Reimplemented in State, CompositeNode, RootNode, GroupNode, and ActionNode.

## ◆ IsContainsBehaviour()

virtual bool IsContainsBehaviour | ( | NodeBehaviour | behaviour | ) |
| virtual

Check if it contains NodeBehaviour.

Parameters

  behaviour | Check NodeBehaviour

Returns
  Returns true if it contains NodeBehaviour.

Reimplemented in State, TreeBehaviourNode, and CalculatorNode.

## ◆ IsDeletable()

virtual bool IsDeletable | ( |  | ) |
| virtual

Returns whether or not it can be deleted.

Returns
  Returns true if it can be deleted.

Reimplemented in TreeNodeBase, and RootNode.

## ◆ OnGraphChanged()

virtual void OnGraphChanged | ( |  | ) |
| protected virtual

Called when the NodeGraph to which the Node belongs has changed.

Reimplemented in State, TreeBehaviourNode, and CalculatorNode.

## ◆ ToString()

override string ToString | ( |  | ) |

Convert node to string (for debugging).

Returns
  Converted string

## Member Data Documentation

## ◆ nodeComment

string nodeComment

Comment

## ◆ position

Rect position

Position on the Arbor Editor.

## ◆ showComment

bool showComment

Whether to display comments

## Property Documentation

## ◆ nodeGraph

NodeGraph nodeGraph
| get

Gets the NodeGraph.

## ◆ nodeID

int nodeID
| get

Gets the node identifier.